#spring:
#  rabbitmq:
#    host: 39.101.187.243
#    port: 5672
#    username: clxmq
#    password: clxmq711
#    listener:
#      simple:
#        acknowledge-mode: auto  # 自动ack
#        retry:
#          enabled: true
#          max-attempts: 5  # 最大重试次数
#          max-interval: 10000   # 重试最大间隔时间
#          initial-interval: 2000  # 重试初始间隔时间
#          multiplier: 2 # 间隔时间乘子
#  redis:
#    host: 39.101.187.243
#    password: clx!2022clx
#    port: 6379
#    jedis:
#      pool:
#        max-idle: 100
#        min-idle: 1
#        max-active: 1000
#        max-wait: -1
#  data:
#    redis:
#      host: 39.101.187.243
#      password: clx!2022clx
#      port: 6379
#      jedis:
#        pool:
#          max-idle: 100
#          min-idle: 1
#          max-active: 1000
#          max-wait: -1
#
#  datasource:
#    druid:
#      initial-size: 4
#      min-idle: 4
#      max-active: 8
#      max-wait: 10000
#      time-between-eviction-runs-millis: 60000
#      min-evictable-idle-time-millis: 300000
#      validation-query: SELECT 1
#      test-while-idle: true
#      test-on-borrow: false
#      test-on-return: false
#      use-global-data-source-stat: true
#      max-pool-prepared-statement-per-connection-size: 20
#      filter:
#        stat:
#          enabled: true
#          db-type: mysql
#          log-slow-sql: true
#          slow-sql-millis: 500
#          merge-sql: true
#        slf4j:
#          enabled: true
#          statement-log-error-enabled: true
#          statement-create-after-log-enabled: false
#          statement-close-after-log-enabled: false
#          result-set-open-after-log-enabled: false
#          result-set-close-after-log-enabled: false
#        wall:
#          enabled: true
#          config:
#            multi-statement-allow: true
#          db-type: mysql
#      web-stat-filter:
#        enabled: true
#        url-pattern: /*
#        exclusions: "/druid/*"
#        session-stat-enable: true
#        session-stat-max-count: 1000
#      stat-view-servlet:
#        enabled: true
#        allow: ""
#        url-pattern: /druid/*
#        reset-enable: false
#        login-username: clx
#        login-password: Apm!Q@Wm888
#
#  cloud:
#    nacos:
#      discovery:
#        server-addr: 182.92.191.220:8848
#        username: nacos
#        password: nacos
#        #        namespace: new-clx-dev
#        register-enabled: false
#
#      #        namespace: ${spring.profiles.active}
#      config:
#        file-extension: yml
#        server-addr: 182.92.191.220:8848
#        username: nacos
#        password: nacos
#        #        shared-configs:
#        #          - common-redis-${spring.profiles.active}.yml
#        #          - common-mq-${spring.profiles.active}.yml
#        #          - common-druid-${spring.profiles.active}.yml
#        #          - common-satoken-${spring.profiles.active}.yml
#        #          - common-esign-${spring.profiles.active}.yml
#        #        namespace: new-clx-dev
#        import-check:
#          enabled: false
#
## Sa-Token配置
#sa-token:
#  # token名称 (同时也是cookie名称)
#  token-name: token
#  # token有效期，单位s 默认30天, -1代表永不过期
#  timeout: 2592000
#  # token临时有效期 (指定时间内无操作就视为token过期) 单位: 秒，默认-1 代表不限制 (例如可以设置为1800代表30分钟内无操作就过期)
#  activity-timeout: -1
#  active-timeout: -1
#  # 是否允许同一账号并发登录 (为true时允许一起登录, 为false时新登录挤掉旧登录)
#  is-concurrent: true
#  # 在多人登录同一账号时，是否共用一个token (为true时所有登录共用一个token, 为false时每次登录新建一个token)
#  is-share: false
#  # token风格
#  token-style: simple-uuid
#  # 是否打印操作日志
#  is-log: false
#  # 是否在初始化配置时打印版本字符画
#  is-print: false
#  # 是否打开自动续签 （如果此值为true，框架会在每次直接或间接调用 getLoginId() 时进行一次过期检查与续签操作）
#  autoRenew: true
#
#  alone-redis:
#    # Redis数据库索引（默认为0）
#    database: 0
#    # Redis服务器地址
#    host: 39.101.187.243
#    # Redis服务器连接端口
#    port: 6379
#    # Redis服务器连接密码（默认为空）
#    password: clx!2022clx
#    # 连接超时时间
#    timeout: 10s
#
#springdoc:
#  swagger-ui:
#    path: /swagger-ui.html
#    tags-sorter: alpha
#    #operations-sorter: order
#  api-docs:
#    path: /v3/api-docs
#  default-flat-param-object: true
#
#knife4j:
#  enable: true
#  setting:
#    language: zh_cn
#    swagger-model-name: 实体类列表
#  #    生产环境开启屏蔽
#  #  production: true
#  #  开始用户名和密码登陆配置
##  basic:
##    enable: true
##    username: admin
##    password: clx0807
#
#
#easy-es:
#  enable: true
#  address: 39.101.187.243:9200
#  username: elastic
#  password: Clx@es20220524
#  #  schema: https
#  global-config:
#    print-dsl: true
#    db-config:
#      field-strategy: ignored  #字段更新策略
#
#esign:
#  init:
#    EsignAppId: 7438953915
#    EsignAppSecret: 6179c1e9c14229ebbb93976109b5dd6d
#    EsignHost: https://smlopenapi.esign.cn
#
#    app-id: 7438952971
#    secret: 3d2824b16a2874cf3534eb22e94007d2
#    host: https://smlopenapi.esign.cn
#    debug-log: true
#
#
#xxl:
#  job:
#    admin:
#      address: http://xxl-job.default.svc.cluster.local/xxl-job
#    executor:
#      access-token: default_token
#      app-name: ${spring.application.name}
#      log-path: ./logs/${spring.application.name}/job/
#      log-retention-days: 15
#
## ------------------基础配置-----------------
#snail-job:
#  server:
#    host: snail-job.default.svc.cluster.local
#    port: 1788
#  # host: 127.0.0.1
#  port: 1789
#  namespace: 764d604ec6fc45f68cd92514c40e9e1a
#  token: 764d604ec6fc45f68cd92514c40e9e1a
#  register-url: http://snail-job.devclx.cn/snail-job
#
#  # ------------------重试数据批量上报滑动窗口配置-----------------
#  # 窗口期单位
#  retry:
#    reportSlidingWindow:
#      chrono-unit: seconds
#      duration: 10
#      total-threshold: 50
#      window-total-threshold: 150
#
#  # ------------------调度线程池配置-----------------
#  dispatcherThreadPool:
#    corePoolSize: 16
#    maximumPoolSize: 16
#    keepAliveTime: 1
#    timeUnit: SECONDS
#    queueCapacity: 10000
#server:
#  servlet:
#    context-path: /${spring.application.name}
#  port: 8080
